%global momorel 2
%global svn_date 20070801

%global use_svn 0

Summary:        OpenGL window and compositing manager.
Name:           ccsm
Version:        0.5.2
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release: %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source:         %{name}-%{version}-%{svn_date}.tar.bz2
%else
%NoSource 0     http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2 e267eaa2400d833bcc3da6383bf054ff
%endif
Source1:	ja.po
Patch0:		ccsm-LINGUAS-ja.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       compizconfig-python
BuildRequires:	gtk+-devel, compiz-core >= 0.5.2
BuildRequires:	libcompizconfig >= 0.5.2, compizconfig-python
Obsoletes:      gset-compiz

%description
Beryl is a fork of Compiz.
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%prep
%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

# ja.po
%patch0 -p1
cp %{SOURCE1} po/

%build

make PREFIX=/usr
# python setup.py build --prefix=/usr

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make PREFIX=%{buildroot}/usr install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/python2.5/site-packages/ccm/*
%{_datadir}/ccsm/images/*
%{_datadir}/pixmaps/ccsm.png
%{_datadir}/icons/hicolor/scalable/apps/ccsm.svg
%{_datadir}/applications/ccsm.desktop
%{_datadir}/locale/*/LC_MESSAGES/ccsm.mo

%changelog
* Thu Aug 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-2m)
- update ja.po

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sat Aug  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.3m)
- update ja.po

* Sat Aug  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.2m)
- fix icon path problem
- cleanup spec

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.1m)
- update 20070801
-- add ja.po

* Mon Jul 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070730.1m)
- update 20070730

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sun May 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- remove BuildReq: beryl-core

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- initial commit

